SignatureProperty (Java SE 25 & JDK 25)
Description: declaration: module: java.xml.crypto, package: javax.xml.crypto.dsig, interface: SignatureProperty
Keywords: javax.xml.crypto.dsig.SignatureProperty interface

# Interface SignatureProperty

All Superinterfaces:
  `XMLStructure`

public interface SignatureProperty extends XMLStructure
A representation of the XML `SignatureProperty` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

    <element name="SignatureProperty" type="ds:SignaturePropertyType"/>
       <complexType name="SignaturePropertyType" mixed="true">
         <choice maxOccurs="unbounded">
           <any namespace="##other" processContents="lax"/>
           <!-- (1,1) elements from (1, unbounded) namespaces -->
         </choice>
         <attribute name="Target" type="anyURI" use="required"/>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

A `SignatureProperty` instance may be created by invoking the `newSignatureProperty` method of the `XMLSignatureFactory` class; for example:

       XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
       SignatureProperty property = factory.newSignatureProperty
          (Collections.singletonList(content), "#Signature-1", "TimeStamp");

Since:
  1.6
See Also:
  - `XMLSignatureFactory.newSignatureProperty(List, String, String)`
  - `SignatureProperties`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<XMLStructure>`
  `getContent()`
  Returns an `unmodifiable list` of one or more `XMLStructure`s that are contained in this `SignatureProperty`.
  `String`
  `getId()`
  Returns the Id of this `SignatureProperty`.
  `String`
  `getTarget()`
  Returns the target URI of this `SignatureProperty`.

  ### Methods declared in interface XMLStructure

  `isFeatureSupported`

- ## Method Details

  - ### getTarget

    String getTarget()
    Returns the target URI of this `SignatureProperty`.
    Returns:
      the target URI of this `SignatureProperty` (never `null`)

  - ### getId

    String getId()
    Returns the Id of this `SignatureProperty`.
    Returns:
      the Id of this `SignatureProperty` (or `null` if not specified)

  - ### getContent

    List<XMLStructure> getContent()
    Returns an `unmodifiable list` of one or more `XMLStructure`s that are contained in this `SignatureProperty`. These represent additional information items concerning the generation of the `XMLSignature` (i.e. date/time stamp or serial numbers of cryptographic hardware used in signature generation).
    Returns:
      an unmodifiable list of one or more `XMLStructure`s